<?php

namespace ExceptionHandle;

use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpSpecializedException;
use Throwable;

class PDOError extends HttpSpecializedException {

    protected string $title = "PDO connection failed";

    public function __construct(ServerRequestInterface $request,string $message,?Throwable $previous = null)
    {
        parent::__construct($request,$message,$previous);
    }

}